Bug 4868 - Improve controls for cloning and deleting MARC subfields
Summary: Improve controls for cloning and deleting MARC subfields
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/cataloguing/addbiblio.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-09 18:28 UTC by Owen Leonard
Modified: 2012-10-25 23:09 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Screenshot of proposed interface change (8.59 KB, image/png)
2010-06-09 18:28 UTC, Owen Leonard
Details
Proposed fix (5.72 KB, patch)
2010-06-09 18:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot of proposed update (31.67 KB, image/png)
2010-08-05 19:20 UTC, Owen Leonard
Details
Addition of tag control icons, tag editor icon (7.17 KB, patch)
2010-08-05 19:28 UTC, Owen Leonard
Details | Diff | Splinter Review
Revised fix (7.00 KB, patch)
2011-08-15 19:50 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Follow-up to Bug 4868, Improve controls for cloning and deleting subfields (7.03 KB, patch)
2011-08-16 10:38 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2010-06-09 18:28:13 UTC
Created attachment 2233 [details]
Screenshot of proposed interface change

When editing MARC tags in the biblio editor, repeatable subfields have two controls next to them, a "+" and a "-" for cloning and deleting subfields. These controls are currently marked up as text within <span>s, so they don't appear to be clickable: they're not highlighted as links and the cursor doesn't change to a pointer.

I propose converting the <span>s to links and using icons instead of "+" and "-".
Comment 1 Owen Leonard 2010-06-09 18:47:43 UTC
Created attachment 2234 [details] [review]
Proposed fix

Includes changes to addbiblio.tmpl and authorities.tmpl
Comment 2 Cindy Murdock Ames 2010-06-10 15:32:18 UTC
I tested the patch, and it works.  It also fixes bug 4867.  :D
Comment 3 Cindy Murdock Ames 2010-06-10 15:34:37 UTC
You may want to change the label for "delete" to "unclone" though.  The delete function will only delete a cloned subfield, or one that has a clone.  It won't delete a noncloned one.  I can forsee catalogers being confused by that.
Comment 4 Owen Leonard 2010-06-10 15:42:49 UTC
(In reply to comment #3)
> You may want to change the label for "delete" to "unclone" though.  The delete
> function will only delete a cloned subfield, or one that has a clone.  It won't
> delete a noncloned one.

In fact the "delete" link does two different things depending on the context: For cloned subfields, it really deletes. For non-mandatory, non-cloned subfields it will clear any contents from the field.

A TODO for this interface change is to see whether those two contexts can be differentiated and an alternate icon displayed.
Comment 5 Galen Charlton 2010-06-19 12:25:33 UTC
Patch pushed.
Comment 6 Nicole C. Engard 2010-06-21 16:52:01 UTC
Why not have the same icon for cloning fields so that it's consistent for users?
Comment 7 Owen Leonard 2010-08-05 19:20:11 UTC
Created attachment 2475 [details]
Screenshot of proposed update

An additional update to add specific icons for cloning tags and deleting tags and for the tag editor link ("...").
Comment 8 Owen Leonard 2010-08-05 19:28:50 UTC Comment hidden (obsolete)
Comment 9 Katrin Fischer 2011-08-14 12:04:54 UTC
It seems the follow-up has never been pushed and needs rebasing for T::T now. I am moving to 'Does not apply' so it shows up in our reports.
Comment 10 Owen Leonard 2011-08-15 19:50:08 UTC Comment hidden (obsolete)
Comment 11 Nicole C. Engard 2011-08-16 10:38:53 UTC
Created attachment 5027 [details] [review]
[SIGNED-OFF] Follow-up to Bug 4868, Improve controls for cloning and deleting subfields

- Adding similar icons for cloning and deleting tags
- Adding icon for the "Tag editor" links ("...")

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Comment 12 Nicole C. Engard 2011-08-16 10:39:31 UTC
Revised patch signed off.
Comment 13 Ian Walls 2011-08-25 01:43:54 UTC
Template only change (even though cataloging/addbiblio.pl is touched, it's just in a stretch of HTML creation), easy to read.  Marking as Passed QA
Comment 14 Chris Cormack 2011-08-25 22:29:20 UTC
Pushed the follow up please test
Comment 15 Chris Nighswonger 2011-10-26 18:02:17 UTC
The fix for this bug was published in the 3.4.5 release. If you were the reporter of this bug, please take time to verify the fix and update the status of this bug report accordingly. If the bug is fixed to your satisfaction, please close this report.